//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;


namespace MindFusion.Scheduling.WinForms.Samples.CS.Demo
{
	/// <summary>
	/// Summary description for DateRangeDialog.
	/// </summary>
	public partial class DateRangeDialog : System.Windows.Forms.Form
	{
		/// <summary>
		/// Initializes a new instance of the DateRangeDialog class.
		/// </summary>
		public DateRangeDialog()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Sets the selected interval.
		/// </summary>
		public void SetRange(DateTime start, DateTime end)
		{
			_calendar.Selection.Set(start, end + TimeSpan.FromDays(1));
			_calendar.Date = start;
			_calendar.EndDate = start + TimeSpan.FromDays(60);
		}

		/// <summary>
		/// Sets the theme of the calendar.
		/// </summary>
		public void SetTheme(ThemeType theme)
		{
			_calendar.Theme = theme;
		}


		/// <summary>
		/// Gets the start date of the selected interval.
		/// </summary>
		public DateTime StartDate
		{
			get
			{
				if (_calendar.Selection.Ranges.Count > 0)
					return _calendar.Selection.DayRanges[0];

				return DateTime.Now;
			}
		}

		/// <summary>
		/// Gets the end date of the selected interval.
		/// </summary>
		public DateTime EndDate
		{
			get
			{
				if (_calendar.Selection.Ranges.Count > 0)
					return _calendar.Selection.DayRanges[1];

				return DateTime.Now;
			}
		}
	}
}
