//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections;
using System.IO;
using System.Xml;


namespace MindFusion.Scheduling.WinForms.Samples.CS.Demo
{
	/// <summary>
	/// Summary description for InfoHolder.
	/// </summary>
	public class InfoHolder
	{
		public InfoHolder(string infoFile)
		{
			// Load the info from the specified file
			_map = new Hashtable();

			FileStream stream = new FileStream(infoFile,
				FileMode.Open, FileAccess.Read);
			XmlReader reader = new XmlTextReader(stream);

			reader.MoveToContent();

			while (reader.Read())
			{
				if (reader.NodeType == XmlNodeType.Whitespace)
					continue;

				string key = reader.GetAttribute("key");

				// Read value
				reader.Read();
				string value = reader.Value;

				// Read the closing element
				reader.Read();

				if (key != null)
					_map[XmlConvert.ToInt32(key)] = value;
			}

			reader.Close();
			stream.Close();
		}


		public string this[int key]
		{
			get
			{
				if (_map.Contains(key))
					return _map[key] as string;

				return "";
			}
		}


		private Hashtable _map;
	}
}
